Bug Hunting Session
Bug 51961 - The default currency in the options-dialog isn't correct
Summary: The default currency in the options-dialog isn't correct
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: low minor
Assignee: Eike Rathke
URL:
Whiteboard: target:4.3.0 target:4.2.0.2
Keywords: easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2012-07-10 19:52 UTC by Rob Snelders
Modified: 2016-02-18 16:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Snelders 2012-07-10 19:52:09 UTC
The way the default currency works now is incorrect.

The Default currency should be the currency of the default locale, or the default currency should update to the currency of the selected locale when a new locale is selected.

Now the default currency is the currency of the locale that is selected on activating the tab of the options-dialog. But isn't updated after that.
Comment 1 Eike Rathke 2012-11-24 21:39:28 UTC
Slight clarification: the corresponding currency is updated when another locale is chosen, but (e.g. when switching from an en-US locale to nl-BE) the string "Default - USD" remains unchanged in the listbox. Strictly it should reflect the updated locale and read "Default - EUR" in this example.

Making this an EasyHack.
Code pointer: cui/source/options/optgdlg.cxx class OfaLanguagesTabPage
Comment 2 Anurag Kanungo 2013-04-22 08:48:07 UTC
Issue Doesn't exists in Libreoffice 3.6 or above .
I haven't checked in 3.5 , if it is required then tell, i will try fixing it.
Comment 3 Jorendc 2013-05-21 19:51:36 UTC
(In reply to comment #2)
> Issue Doesn't exists in Libreoffice 3.6 or above .
> I haven't checked in 3.5 , if it is required then tell, i will try fixing it.

I can reproduce it is fixed using LibreOffice Version 4.0.3.3 (Build ID: 400m0(Build:3)); so lets close this one. Anurag confirmed it was fixed in 3.6, so our 2 versions (not in EOL) doesn't reproduce this issue.

Kind regards,
Joren
Comment 4 Eike Rathke 2013-06-16 10:12:54 UTC
The issue exists in all versions and still does, please carefully read my previous comment 1.
Comment 5 Björn Michaelsen 2013-10-04 18:47:16 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 6 Robinson Tryon (qubit) 2013-10-23 18:42:30 UTC
Removing comma from whiteboard (please use a space to delimit values in this field)
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Whiteboard#Getting_Started
Comment 7 Commit Notification 2013-12-18 20:40:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aec792c1a429bd96a172d529521247a2b3391987

resolved fdo#51961 let "Default ..." currency entry follow selected locale



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-12-18 20:41:26 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68a9ac8623b6b80544e9ab117804cc19c7794f44&h=libreoffice-4-2

resolved fdo#51961 let "Default ..." currency entry follow selected locale


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-16 00:44:29 UTC
Migrating Whiteboard tags to Keywords: (EasyHack SkillCpp TopicUI )
[NinjaEdit]
Comment 10 Robinson Tryon (qubit) 2016-02-18 16:37:23 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]